# Based on Fenton 2013 (completed weeks)
# If you need actual weeks, see on-line app https://cpegzapps.shinyapps.io/fenton2/

# move to working directory
setwd("~/Desktop/WHO/Fenton/FentonMacro_completed")

# load macro file
source("macro_Fenton.R")

# read datafile with following names
d<-read.csv("sample.csv");head(d)


# calcZ allows SD23 = TRUE to apply WHO fudge (weight only)
calcZ(data=d, y="weight", SD23=TRUE)
calcZ(data=d, y="weight", SD23=FALSE)
calcZ(data=d, y="length", SD23=FALSE)
calcZ(data=d, y="hc", SD23=FALSE)

# in makeZs() only weight has SD23 set to TRUE
makeZs(data=d)

